# vim: set ts=4 sw=4 et:
#
# spec file for package perl-SVN-Look
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010-2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-SVN-Look
Version:        0.35
Release:        1.23
Summary:        Caching Wrapper aroung the svnlook Command
License:        GPL-2.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/G/GN/GNUSTAVO/SVN-Look-%{version}.tar.gz
Url:            http://search.cpan.org/dist/SVN-Look/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl
Requires:       subversion
Requires:       perl(URI::file)
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  subversion
BuildRequires:  perl(URI::file)

%description
The svnlook command is the workhorse of Subversion hook scripts, being used to
gather all sorts of information about a repository, its revisions, and its
transactions. This script provides a simple object oriented interface to a
specific svnlook invocation, to make it easier to hook writers to get and use
the information they need. Moreover, all the information gathered buy calling
the svnlook command is cached in the object, avoiding repetitious calls.

%prep
%setup -q -n "SVN-Look-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?_smp_flags}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/SVN
%{perl_vendorlib}/SVN/Look.pm
%dir %{perl_vendorarch}/auto/SVN
%{perl_vendorarch}/auto/SVN/Look
%doc %{perl_man3dir}/SVN::Look.%{perl_man3ext}%{ext_man}

%changelog
* Sun Apr 22 2012 pascal.bleser@opensuse.org
- update to 0.35:
  * require perl 5.8.0
* Thu Nov  3 2011 pascal.bleser@opensuse.org
- update to 0.30:
  * change the call to svnlook to use execvp directly and avoiding the shell
- changes from previous versions: too many to list, please consult CHANGES
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Jun 14 2010 pascal.bleser@opensuse.org
- initial package (0.18)
